Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427232 (CVE-2012-0283) - <www-apps/dokuwiki-20121013: XSS vulnerability (CVE-2012-0283)
Summary: <www-apps/dokuwiki-20121013: XSS vulnerability (CVE-2012-0283)
Status: RESOLVED FIXED
Alias: CVE-2012-0283
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B4 [glsa]
Keywords:
: 433109 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-07-19 16:57 UTC by GLSAMaker/CVETool Bot
Modified: 2013-01-09 00:54 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2012-07-19 16:57:58 UTC
CVE-2012-0283 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-0283):
  Cross-site scripting (XSS) vulnerability in the tpl_mediaFileList function
  in inc/template.php in DokuWiki before 2012-01-25b allows remote attackers
  to inject arbitrary web script or HTML via the ns parameter in a medialist
  action to lib/exe/ajax.php.
Comment 1 Tobias Heinlein (RETIRED) gentoo-dev 2012-10-18 08:13:00 UTC
*** Bug 433109 has been marked as a duplicate of this bug. ***
Comment 2 Philippe Chaintreuil 2012-11-02 02:06:09 UTC
Simple version bump to the ebuild to www-apps/dokuwiki-20090214b (ie, just rename www-apps/dokuwiki-20090214a) works for me.
Comment 3 Lance Albertson (RETIRED) gentoo-dev 2012-12-24 18:04:13 UTC
FWIW I just bumped dokuwiki to 20121013. Feel free to mark stable after tests have checked it out.
Comment 4 Sean Amoss gentoo-dev Security 2012-12-26 18:00:10 UTC
(In reply to comment #3)
> FWIW I just bumped dokuwiki to 20121013. Feel free to mark stable after
> tests have checked it out.

Thanks, Lance.

Arches, please test and mark stable.
Comment 5 Agostino Sarubbo gentoo-dev 2012-12-27 17:41:47 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2012-12-27 17:42:07 UTC
x86 stable
Comment 7 Tim Sammut (RETIRED) gentoo-dev 2013-01-02 18:44:18 UTC
Thanks, folks. Closing noglsa for XSS.
Comment 8 Tobias Heinlein (RETIRED) gentoo-dev 2013-01-08 00:22:40 UTC
(In reply to comment #7)
> Thanks, folks. Closing noglsa for XSS.

Actually we can include this in the existing draft.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2013-01-09 00:54:43 UTC
This issue was resolved and addressed in
 GLSA 201301-07 at http://security.gentoo.org/glsa/glsa-201301-07.xml
by GLSA coordinator Stefan Behte (craig).